#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

MODULE_INFO(vermagic, VERMAGIC_STRING);

struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
 .name = KBUILD_MODNAME,
 .init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
 .exit = cleanup_module,
#endif
 .arch = MODULE_ARCH_INIT,
};

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x46dfc911, "struct_module" },
	{ 0xabdff74c, "usbnet_resume" },
	{ 0x4fface2e, "usbnet_suspend" },
	{ 0x6faada2c, "usbnet_disconnect" },
	{ 0xce414f35, "usbnet_probe" },
	{ 0xf1dc2f82, "usbnet_nway_reset" },
	{ 0x7fbe7466, "usbnet_set_msglevel" },
	{ 0xca65e58a, "usbnet_get_msglevel" },
	{ 0x69903bb, "usbnet_set_settings" },
	{ 0x9578fc47, "usbnet_get_settings" },
	{ 0xe9531745, ".usb_register_driver" },
	{ 0xb277bb3e, ".usb_deregister" },
	{ 0x29591926, ".netif_carrier_off" },
	{ 0x5c3aefe7, ".usbnet_defer_kevent" },
	{ 0x1288370, ".netif_carrier_on" },
	{ 0xfab4487c, ".usbnet_unlink_rx_urbs" },
	{ 0x593326e, ".skb_pull" },
	{ 0xb9ba6340, ".usbnet_skb_return" },
	{ 0xa290938, ".skb_clone" },
	{ 0x4dcc861b, ".skb_put" },
	{ 0x2a3f543c, ".skb_push" },
	{ 0xd8a0c986, ".dev_kfree_skb_any" },
	{ 0xe921fd70, ".skb_copy_expand" },
	{ 0x5dbbe98e, ".memmove" },
	{ 0xe309325b, ".mii_nway_restart" },
	{ 0x41e79700, ".usbnet_get_endpoints" },
	{ 0x716af6c1, ".mutex_unlock" },
	{ 0x7b4882ac, ".mutex_lock" },
	{ 0xe6975edf, ".generic_mii_ioctl" },
	{ 0xfaf98462, ".bitrev32" },
	{ 0x92ea4ae4, ".crc32_le" },
	{ 0x3239aa6, ".usb_submit_urb" },
	{ 0x3ed8ee91, ".kmem_cache_alloc" },
	{ 0xe500300a, ".usb_alloc_urb" },
	{ 0x17f8e6ef, "malloc_sizes" },
	{ 0x29295f59, ".usb_free_urb" },
	{ 0x7ec9bfbc, ".strncpy" },
	{ 0x16f2cb63, ".usbnet_get_drvinfo" },
	{ 0xabdb8887, ".mii_link_ok" },
	{ 0xf9a482f9, ".msleep" },
	{ 0xb0ad2555, ".mii_ethtool_gset" },
	{ 0x8e4f9214, ".mii_check_media" },
	{ 0xea147363, ".printk" },
	{ 0x37a0cba, ".kfree" },
	{ 0x9ef513a4, ".usb_control_msg" },
	{ 0x6067a146, ".memcpy" },
	{ 0x5a34a45c, ".__kmalloc" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=usbnet,mii";

MODULE_ALIAS("usb:v077Bp2226d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0846p1040d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v2001p1A00d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0B95p1720d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v07B8p420Ad*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v08DDp90FFd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0557p2009d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0411p003Dd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0411p006Ed*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v6189p182Dd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v07AAp0017d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1189p0893d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1631p6200d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v04F1p3008d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0B95p7720d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0B95p1780d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v13B1p0018d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1557p7720d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v07D1p3C05d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v2001p3C05d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1737p0039d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v04BBp0930d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v050Dp5055d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v05ACp1402d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0B95p772Ad*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v14EApAB11d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0DB0pA877d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v14EApAB11d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0DB0pA877d*dc*dsc*dp*ic*isc*ip*");

MODULE_INFO(srcversion, "5524C21A431CD3CDE67401C");
