#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

MODULE_INFO(vermagic, VERMAGIC_STRING);

struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
 .name = KBUILD_MODNAME,
 .init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
 .exit = cleanup_module,
#endif
 .arch = MODULE_ARCH_INIT,
};

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x46dfc911, "struct_module" },
	{ 0xe9531745, ".usb_register_driver" },
	{ 0x8cd53e05, ".skb_trim" },
	{ 0x2a3f543c, ".skb_push" },
	{ 0x5a27b780, ".dev_alloc_skb" },
	{ 0x1a61d962, ".p54_rx" },
	{ 0x593326e, ".skb_pull" },
	{ 0x4dcc861b, ".skb_put" },
	{ 0x219b6c47, ".skb_unlink" },
	{ 0x8886a728, ".skb_queue_tail" },
	{ 0x8d6acf91, ".__alloc_skb" },
	{ 0x3239aa6, ".usb_submit_urb" },
	{ 0x3fa03a97, ".memset" },
	{ 0xe500300a, ".usb_alloc_urb" },
	{ 0x29295f59, ".usb_free_urb" },
	{ 0x96ec9021, ".skb_dequeue" },
	{ 0x8edd277, ".kfree_skb" },
	{ 0x502204dc, ".usb_kill_urb" },
	{ 0x79aa04a2, ".get_random_bytes" },
	{ 0x820d225f, ".print_mac" },
	{ 0xe0d78505, ".ieee80211_register_hw" },
	{ 0xd3f3bb9d, ".usb_get_dev" },
	{ 0xbbb53918, ".p54_init_common" },
	{ 0x321bb423, ".p54_parse_eeprom" },
	{ 0xaa748adb, ".p54_fill_eeprom_readback" },
	{ 0x5d1e88bd, ".usb_interrupt_msg" },
	{ 0x6067a146, ".memcpy" },
	{ 0xa39b4cf2, ".udelay" },
	{ 0x37a0cba, ".kfree" },
	{ 0x39c16f1e, ".release_firmware" },
	{ 0xc7ec28b0, ".memcmp" },
	{ 0x3bd1b1f6, ".msecs_to_jiffies" },
	{ 0x92ea4ae4, ".crc32_le" },
	{ 0xdcb5671d, ".strlen" },
	{ 0xe914e41e, ".strcpy" },
	{ 0x8f62ede2, ".p54_parse_firmware" },
	{ 0xfbf26828, ".request_firmware" },
	{ 0xea147363, ".printk" },
	{ 0x3ed8ee91, ".kmem_cache_alloc" },
	{ 0x7d11c268, "jiffies" },
	{ 0x17f8e6ef, "malloc_sizes" },
	{ 0x51762464, ".usb_bulk_msg" },
	{ 0xdc320a22, ".ieee80211_free_hw" },
	{ 0x4fe0ebe0, ".p54_free_common" },
	{ 0x81dfd8aa, ".usb_put_dev" },
	{ 0x57d5405, ".ieee80211_unregister_hw" },
	{ 0xb277bb3e, ".usb_deregister" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=p54common,mac80211";

MODULE_ALIAS("usb:v0506p0A11d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0707pEE06d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v083Ap4501d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v083Ap4502d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v083Ap5501d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0846p4200d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0846p4210d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0846p4220d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0CDEp0006d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v124Ap4023d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1915p2234d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1915p2235d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v2001p3701d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v2001p3703d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v5041p2234d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v5041p2235d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0471p1230d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v050Dp7050d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0572p2000d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0572p2002d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v06B9p0121d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0707pEE13d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v083Ap4521d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0846p4240d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0915p2000d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0915p2002d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0BAFp0118d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0BF8p1009d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0CDEp0006d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0CDEp0008d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0CDEp0015d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0D8Ep3762d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v09AAp1000d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v124Ap4025d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v13B1p000Ad*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v13B1p000Cd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1435p0427d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v2001p3704d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v413Cp8102d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v413Cp8104d*dc*dsc*dp*ic*isc*ip*");

MODULE_INFO(srcversion, "E097BF4905C8DDD7751A22C");
